Module ij
Package ij.plugin

# Class StackCombiner

java.lang.Object
ij.plugin.StackCombiner

All Implemented Interfaces:
  `PlugIn`

public class StackCombiner extends Object implements PlugIn
This plugin implements the Image/Stacks/Combine command. It combines two stacks (w1xh1xd1 and w2xh2xd2) to create a new w1+w2 x max(h1,h2) x max(d1,d2) stack. For example, a 256x256x40 and a 256x256x30 stack would be combined into one 512x256x40 stack. If "Vertical" is checked, create a new max(w1+w2) x (h1+h2) x max(d1,d2) stack. Unused areas in the combined stack are filled with the background color.

## Constructor Summary

Constructors
Constructor
Description
`StackCombiner()`

## Method Summary

Modifier and Type
Method
Description
`ImageStack`
`combineHorizontally(ImageStack stack1, ImageStack stack2)`
`ImageStack`
`combineVertically(ImageStack stack1, ImageStack stack2)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StackCombiner

public StackCombiner()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### combineHorizontally

public ImageStack combineHorizontally(ImageStack stack1, ImageStack stack2)

### combineVertically

public ImageStack combineVertically(ImageStack stack1, ImageStack stack2)